"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getShasumData = exports.encrypt = exports.decrypt = void 0;
// Import built-in modules
var crypto_1 = require("crypto");
// const crypto = { createHash, createDecipher, createCipher };
// Import constants
var defaults_1 = require("./defaults");
var decrypt = function (data, password) {
    var decipher = (0, crypto_1.createDecipher)(defaults_1.ENCRYPTION_METHOD, password);
    var chunk1 = decipher.update(data);
    var chunk2 = decipher.final();
    return Buffer.concat([chunk1, chunk2], chunk1.length + chunk2.length);
};
exports.decrypt = decrypt;
var encrypt = function (message, password) {
    var cipher = (0, crypto_1.createCipher)(defaults_1.ENCRYPTION_METHOD, password);
    var chunk1 = cipher.update(message);
    var chunk2 = cipher.final();
    return Buffer.concat([chunk1, chunk2], chunk1.length + chunk2.length);
};
exports.encrypt = encrypt;
var getShasumData = function (message) { return (0, crypto_1.createHash)('sha256').update(message).digest(); };
exports.getShasumData = getShasumData;
